create_polygon#
- Modeler3DLayout.create_polygon(layer, point_list, units=None, name=None, net=None)[source]#
Create a polygon on a specified layer.
- Parameters:
- layer
str
Name of the layer.
- point_list
list
Origin of the coordinate system in a list of
[x, y]
coordinates.- units
str
,optional
Polygon units. Default is modeler units.
- name
str
,optional
Name of the rectangle. The default is
None
, in which case the default name is assigned.- net
str
,optional
Name of the net. The default is
None
, in which case the default name is assigned.
- layer
- Returns:
ansys.aedt.core.modeler.cad.object_3dlayout.Polygons3DLayout
Object of the rectangle created when successful.
References
>>> oEditor.CreatePolygon